GET /api/v1/cloud-connected/organizations/{organization_id}/subscription

Get the Cloud Connected subscription state for an organization.

Path parameters

  • organization_id string Required

    The ID of the organization

Responses

  • 200 application/json

    The subscription state for the organization

    Hide response attribute Show response attribute object
    • state string Required

      The state of the subscription.

      Values are trial, active, or inactive.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/cloud-connected/organizations/{organization_id}/subscription
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/cloud-connected/organizations/198583657190/subscription' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "state": "trial"
}
Response examples (401)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}